package com.ssm.manage.entity;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * (TurnMembershipCardMx)实体类
 *
 * @author makejava
 * @since 2022-07-01 09:24:15
 */
@Table(name = "turn_membership_card_mx")
public class TurnMembershipCardMx implements Serializable {
    private static final long serialVersionUID = -29652603417544505L;
    /**
     * id
     */
    @Id
    private Long id;
    /**
     * 会员转卡包Id
     */
    @Column(name = "turn_membership_card_id")
    private Long turnMembershipCardId;
    /**
     * 类型(0=充值卡，1-疗程卡)
     */
    @Column(name = "type")
    private Integer type;
    /**
     * 转出卡包账户Id
     */
    @Column(name = "account_id")
    private Long accountId;
    /**
     * 转出金额
     */
    @Column(name = "out_card_rest_money")
    private BigDecimal outCardRestMoney;
    /**
     * 账户可用金额
     */
    @Column(name = "card_consume_money")
    private BigDecimal cardConsumeMoney;
    /**
     * 转出赠送金额
     */
    @Column(name = "out_gift_consume_money")
    private BigDecimal outGiftConsumeMoney;
    /**
     * 充值类别或项目ID
     */
    @Column(name = "recharge_or_project_id")
    private Long rechargeOrProjectId;
    /**
     * 充值类别或项目名称
     */
    @Column(name = "recharge_or_project_name")
    private String rechargeOrProjectName;
    /**
     * 充值类别或项目名称
     */
    @Column(name = "recharge_or_project_num")
    private String rechargeOrProjectNum;
    /**
     * 转出次数
     */
    @Column(name = "out_course_rest_count")
    private Integer outCourseRestCount;
    /**
     * 开卡可用次数
     */
    @Column(name = "course_consume_count")
    private Integer courseConsumeCount;
    /**
     * 剩余金额
     */
    @Column(name = "course_rest_price")
    private BigDecimal courseRestPrice;
    /**
     * 可用金额
     */
    @Column(name = "course_consume_price")
    private BigDecimal courseConsumePrice;
    /**
     * 取消前单价
     */
    @Column(name = "before_price")
    private BigDecimal beforePrice;
    /**
     * 取消前剩余金额
     */
    @Column(name = "before_rest_money")
    private BigDecimal beforeRestMoney;
    /**
     * 取消前可用金额
     */
    @Column(name = "before_consume_money")
    private BigDecimal beforeConsumeMoney;
    /**
     * 取消前剩余次数
     */
    @Column(name = "before_rest_count")
    private Integer beforeRestCount;
    /**
     * 取消前可用次数
     */
    @Column(name = "before_consume_count")
    private Integer beforeConsumeCount;
    /**
     * 取消后单价
     */
    @Column(name = "back_price")
    private BigDecimal backPrice;
    /**
     * 取消后剩余金额
     */
    @Column(name = "back_rest_money")
    private BigDecimal backRestMoney;
    /**
     * 取消后可用金额
     */
    @Column(name = "back_consume_money")
    private BigDecimal backConsumeMoney;
    /**
     * 取消后剩余次数
     */
    @Column(name = "back_rest_count")
    private Integer backRestCount;
    /**
     * 取消后可用次数
     */
    @Column(name = "back_consume_count")
    private Integer backConsumeCount;
    /**
     * 取消前剩余赠送金额
     */
    @Column(name = "before_gift_rest_money")
    private BigDecimal beforeGiftRestMoney;
    /**
     * 取消前可用赠送金额
     */
    @Column(name = "before_gift_consume_money")
    private BigDecimal beforeGiftConsumeMoney;
    /**
     * 取消后剩余赠送金额
     */
    @Column(name = "back_gift_rest_money")
    private BigDecimal backGiftRestMoney;
    /**
     * 取消后可用赠送金额
     */
    @Column(name = "back_gift_consume_money")
    private BigDecimal backGiftConsumeMoney;

    /**
     * 转入的会员ID
     */
    @Column(name = "roll_in_member_id")
    private Long rollInMemberId;
    /**
     * 转入的会员编码
     */
    @Column(name = "roll_in_member_num")
    private String rollInMemberNum;
    /**
     * 转入的会员名称
     */
    @Column(name = "roll_in_member_name")
    private String rollInMemberName;
    /**
     * 转出的会员手机号码
     */
    @Column(name = "roll_in_mobile_phone")
    private String rollInMobilePhone;
    /**
     * 转入的账户Id
     */
    @Column(name = "roll_in_acoount_id")
    private Long rollInAcoountId;

    /**
     * 取消前单价
     */
    @Column(name = "roll_in_before_price")
    private BigDecimal rollInBeforePrice;
    /**
     * 取消前剩余金额
     */
    @Column(name = "roll_in_before_rest_money")
    private BigDecimal rollInBeforeRestMoney;
    /**
     * 取消前可用金额
     */
    @Column(name = "roll_in_before_consume_money")
    private BigDecimal rollInBeforeConsumeMoney;
    /**
     * 取消前剩余次数
     */
    @Column(name = "roll_in_before_rest_count")
    private Integer rollInBeforeRestCount;
    /**
     * 取消前可用次数
     */
    @Column(name = "roll_in_before_consume_count")
    private Integer rollInBeforeConsumeCount;
    /**
     * 取消后单价
     */
    @Column(name = "roll_in_back_price")
    private BigDecimal rollInBackPrice;
    /**
     * 取消后剩余金额
     */
    @Column(name = "roll_in_back_rest_money")
    private BigDecimal rollInBackRestMoney;
    /**
     * 取消后可用金额
     */
    @Column(name = "roll_in_back_consume_money")
    private BigDecimal rollInBackConsumeMoney;
    /**
     * 取消后剩余次数
     */
    @Column(name = "roll_in_back_rest_count")
    private Integer rollInBackRestCount;
    /**
     * 取消后可用次数
     */
    @Column(name = "roll_in_back_consume_count")
    private Integer rollInBackConsumeCount;
    /**
     * 取消前剩余赠送金额
     */
    @Column(name = "roll_in_before_gift_rest_money")
    private BigDecimal rollInBeforeGiftRestMoney;
    /**
     * 取消前可用赠送金额
     */
    @Column(name = "roll_in_before_gift_consume_money")
    private BigDecimal rollInBeforeGiftConsumeMoney;
    /**
     * 取消后剩余赠送金额
     */
    @Column(name = "roll_in_back_gift_rest_money")
    private BigDecimal rollInBackGiftRestMoney;
    /**
     * 取消后可用赠送金额
     */
    @Column(name = "roll_in_back_gift_consume_money")
    private BigDecimal rollInBackGiftConsumeMoney;

    public BigDecimal getRollInBeforePrice() {
        return rollInBeforePrice;
    }

    public void setRollInBeforePrice(BigDecimal rollInBeforePrice) {
        this.rollInBeforePrice = rollInBeforePrice;
    }

    public BigDecimal getRollInBeforeRestMoney() {
        return rollInBeforeRestMoney;
    }

    public void setRollInBeforeRestMoney(BigDecimal rollInBeforeRestMoney) {
        this.rollInBeforeRestMoney = rollInBeforeRestMoney;
    }

    public BigDecimal getRollInBeforeConsumeMoney() {
        return rollInBeforeConsumeMoney;
    }

    public void setRollInBeforeConsumeMoney(BigDecimal rollInBeforeConsumeMoney) {
        this.rollInBeforeConsumeMoney = rollInBeforeConsumeMoney;
    }

    public Integer getRollInBeforeRestCount() {
        return rollInBeforeRestCount;
    }

    public void setRollInBeforeRestCount(Integer rollInBeforeRestCount) {
        this.rollInBeforeRestCount = rollInBeforeRestCount;
    }

    public Integer getRollInBeforeConsumeCount() {
        return rollInBeforeConsumeCount;
    }

    public void setRollInBeforeConsumeCount(Integer rollInBeforeConsumeCount) {
        this.rollInBeforeConsumeCount = rollInBeforeConsumeCount;
    }

    public BigDecimal getRollInBackPrice() {
        return rollInBackPrice;
    }

    public void setRollInBackPrice(BigDecimal rollInBackPrice) {
        this.rollInBackPrice = rollInBackPrice;
    }

    public BigDecimal getRollInBackRestMoney() {
        return rollInBackRestMoney;
    }

    public void setRollInBackRestMoney(BigDecimal rollInBackRestMoney) {
        this.rollInBackRestMoney = rollInBackRestMoney;
    }

    public BigDecimal getRollInBackConsumeMoney() {
        return rollInBackConsumeMoney;
    }

    public void setRollInBackConsumeMoney(BigDecimal rollInBackConsumeMoney) {
        this.rollInBackConsumeMoney = rollInBackConsumeMoney;
    }

    public Integer getRollInBackRestCount() {
        return rollInBackRestCount;
    }

    public void setRollInBackRestCount(Integer rollInBackRestCount) {
        this.rollInBackRestCount = rollInBackRestCount;
    }

    public Integer getRollInBackConsumeCount() {
        return rollInBackConsumeCount;
    }

    public void setRollInBackConsumeCount(Integer rollInBackConsumeCount) {
        this.rollInBackConsumeCount = rollInBackConsumeCount;
    }

    public BigDecimal getRollInBeforeGiftRestMoney() {
        return rollInBeforeGiftRestMoney;
    }

    public void setRollInBeforeGiftRestMoney(BigDecimal rollInBeforeGiftRestMoney) {
        this.rollInBeforeGiftRestMoney = rollInBeforeGiftRestMoney;
    }

    public BigDecimal getRollInBeforeGiftConsumeMoney() {
        return rollInBeforeGiftConsumeMoney;
    }

    public void setRollInBeforeGiftConsumeMoney(BigDecimal rollInBeforeGiftConsumeMoney) {
        this.rollInBeforeGiftConsumeMoney = rollInBeforeGiftConsumeMoney;
    }

    public BigDecimal getRollInBackGiftRestMoney() {
        return rollInBackGiftRestMoney;
    }

    public void setRollInBackGiftRestMoney(BigDecimal rollInBackGiftRestMoney) {
        this.rollInBackGiftRestMoney = rollInBackGiftRestMoney;
    }

    public BigDecimal getRollInBackGiftConsumeMoney() {
        return rollInBackGiftConsumeMoney;
    }

    public void setRollInBackGiftConsumeMoney(BigDecimal rollInBackGiftConsumeMoney) {
        this.rollInBackGiftConsumeMoney = rollInBackGiftConsumeMoney;
    }

    public Long getRollInMemberId() {
        return rollInMemberId;
    }

    public void setRollInMemberId(Long rollInMemberId) {
        this.rollInMemberId = rollInMemberId;
    }

    public String getRollInMemberNum() {
        return rollInMemberNum;
    }

    public void setRollInMemberNum(String rollInMemberNum) {
        this.rollInMemberNum = rollInMemberNum;
    }

    public String getRollInMemberName() {
        return rollInMemberName;
    }

    public void setRollInMemberName(String rollInMemberName) {
        this.rollInMemberName = rollInMemberName;
    }

    public String getRollInMobilePhone() {
        return rollInMobilePhone;
    }

    public void setRollInMobilePhone(String rollInMobilePhone) {
        this.rollInMobilePhone = rollInMobilePhone;
    }

    public Long getRollInAcoountId() {
        return rollInAcoountId;
    }

    public void setRollInAcoountId(Long rollInAcoountId) {
        this.rollInAcoountId = rollInAcoountId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTurnMembershipCardId() {
        return turnMembershipCardId;
    }

    public void setTurnMembershipCardId(Long turnMembershipCardId) {
        this.turnMembershipCardId = turnMembershipCardId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Long getAccountId() {
        return accountId;
    }

    public void setAccountId(Long accountId) {
        this.accountId = accountId;
    }

    public BigDecimal getCardConsumeMoney() {
        return cardConsumeMoney;
    }

    public void setCardConsumeMoney(BigDecimal cardConsumeMoney) {
        this.cardConsumeMoney = cardConsumeMoney;
    }

    public Long getRechargeOrProjectId() {
        return rechargeOrProjectId;
    }

    public void setRechargeOrProjectId(Long rechargeOrProjectId) {
        this.rechargeOrProjectId = rechargeOrProjectId;
    }

    public String getRechargeOrProjectName() {
        return rechargeOrProjectName;
    }

    public void setRechargeOrProjectName(String rechargeOrProjectName) {
        this.rechargeOrProjectName = rechargeOrProjectName;
    }

    public String getRechargeOrProjectNum() {
        return rechargeOrProjectNum;
    }

    public void setRechargeOrProjectNum(String rechargeOrProjectNum) {
        this.rechargeOrProjectNum = rechargeOrProjectNum;
    }

    public BigDecimal getOutCardRestMoney() {
        return outCardRestMoney;
    }

    public void setOutCardRestMoney(BigDecimal outCardRestMoney) {
        this.outCardRestMoney = outCardRestMoney;
    }

    public BigDecimal getOutGiftConsumeMoney() {
        return outGiftConsumeMoney;
    }

    public void setOutGiftConsumeMoney(BigDecimal outGiftConsumeMoney) {
        this.outGiftConsumeMoney = outGiftConsumeMoney;
    }

    public Integer getOutCourseRestCount() {
        return outCourseRestCount;
    }

    public void setOutCourseRestCount(Integer outCourseRestCount) {
        this.outCourseRestCount = outCourseRestCount;
    }

    public Integer getCourseConsumeCount() {
        return courseConsumeCount;
    }

    public void setCourseConsumeCount(Integer courseConsumeCount) {
        this.courseConsumeCount = courseConsumeCount;
    }

    public BigDecimal getCourseRestPrice() {
        return courseRestPrice;
    }

    public void setCourseRestPrice(BigDecimal courseRestPrice) {
        this.courseRestPrice = courseRestPrice;
    }

    public BigDecimal getCourseConsumePrice() {
        return courseConsumePrice;
    }

    public void setCourseConsumePrice(BigDecimal courseConsumePrice) {
        this.courseConsumePrice = courseConsumePrice;
    }

    public BigDecimal getBeforePrice() {
        return beforePrice;
    }

    public void setBeforePrice(BigDecimal beforePrice) {
        this.beforePrice = beforePrice;
    }

    public BigDecimal getBeforeRestMoney() {
        return beforeRestMoney;
    }

    public void setBeforeRestMoney(BigDecimal beforeRestMoney) {
        this.beforeRestMoney = beforeRestMoney;
    }

    public BigDecimal getBeforeConsumeMoney() {
        return beforeConsumeMoney;
    }

    public void setBeforeConsumeMoney(BigDecimal beforeConsumeMoney) {
        this.beforeConsumeMoney = beforeConsumeMoney;
    }

    public Integer getBeforeRestCount() {
        return beforeRestCount;
    }

    public void setBeforeRestCount(Integer beforeRestCount) {
        this.beforeRestCount = beforeRestCount;
    }

    public Integer getBeforeConsumeCount() {
        return beforeConsumeCount;
    }

    public void setBeforeConsumeCount(Integer beforeConsumeCount) {
        this.beforeConsumeCount = beforeConsumeCount;
    }

    public BigDecimal getBackPrice() {
        return backPrice;
    }

    public void setBackPrice(BigDecimal backPrice) {
        this.backPrice = backPrice;
    }

    public BigDecimal getBackRestMoney() {
        return backRestMoney;
    }

    public void setBackRestMoney(BigDecimal backRestMoney) {
        this.backRestMoney = backRestMoney;
    }

    public BigDecimal getBackConsumeMoney() {
        return backConsumeMoney;
    }

    public void setBackConsumeMoney(BigDecimal backConsumeMoney) {
        this.backConsumeMoney = backConsumeMoney;
    }

    public Integer getBackRestCount() {
        return backRestCount;
    }

    public void setBackRestCount(Integer backRestCount) {
        this.backRestCount = backRestCount;
    }

    public Integer getBackConsumeCount() {
        return backConsumeCount;
    }

    public void setBackConsumeCount(Integer backConsumeCount) {
        this.backConsumeCount = backConsumeCount;
    }

    public BigDecimal getBeforeGiftRestMoney() {
        return beforeGiftRestMoney;
    }

    public void setBeforeGiftRestMoney(BigDecimal beforeGiftRestMoney) {
        this.beforeGiftRestMoney = beforeGiftRestMoney;
    }

    public BigDecimal getBeforeGiftConsumeMoney() {
        return beforeGiftConsumeMoney;
    }

    public void setBeforeGiftConsumeMoney(BigDecimal beforeGiftConsumeMoney) {
        this.beforeGiftConsumeMoney = beforeGiftConsumeMoney;
    }

    public BigDecimal getBackGiftRestMoney() {
        return backGiftRestMoney;
    }

    public void setBackGiftRestMoney(BigDecimal backGiftRestMoney) {
        this.backGiftRestMoney = backGiftRestMoney;
    }

    public BigDecimal getBackGiftConsumeMoney() {
        return backGiftConsumeMoney;
    }

    public void setBackGiftConsumeMoney(BigDecimal backGiftConsumeMoney) {
        this.backGiftConsumeMoney = backGiftConsumeMoney;
    }

}

